# Entradas Almacén

## Obtener listado de entradas almacén.

<mark style="color:blue;">`GET`</mark> `https://{clave}.admintotal.com/api/v2/entradas_almacen/`

#### Headers

<table><thead><tr><th>Name</th><th width="157.73828125">Type</th><th>Description</th></tr></thead><tbody><tr><td>almacen</td><td>integer</td><td>Filtro por ID de almacén</td></tr><tr><td>tipo_movimiento</td><td>string</td><td>Filtrar por tipo de movimiento, las opciones disponibles son:<br>COMPRA<br>DEVOLUCION CLIENTE<br>ENTRADA AJUSTE<br>TRASPASO ENTRADA<br>INVENTARIO FISICO<br>CONVERSION ENTRADA<br>ENTRADA POR PRODUCCION</td></tr><tr><td>fecha</td><td>string</td><td>Filtro por fecha (formato YYYY-MM-DD)</td></tr></tbody></table>

| Name    | Type   | Description            |
| ------- | ------ | ---------------------- |
| Api-key | String | Token de autenticación |

{% tabs %}
{% tab title="200" %}

```
"count": 8,
    "next": "http://{clave}.admintotal.com/api/v2/entradas_almacen/",
    "previous": null,
    "results": [
        {
            "id": 573158,
            "folio": 317,
            "almacen": 1552,
            "serie": "",
            "folio": 100,
            "folio_factura": "I62780",
            "fecha": "2026-03-05T09:36:29-07:00",
            "cancelado": false,
            "fecha_cancelacion": null,
            "tipo_movimiento": "COMPRA",
            "cfdi_uuid": "XXXXX-7A9E-4EE1-A371-AAAAA",
            "origen_creado": "Liquidar orden de compra",
            "detalles": []
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## Obtener una entrada almacén.

<mark style="color:blue;">`GET`</mark> `https://{clave}.admintotal.com/api/v2/entradas_almacen/:id/`

#### Headers

| Name    | Type   | Description            |
| ------- | ------ | ---------------------- |
| Api-key | String | Token de autenticación |

{% tabs %}
{% tab title="200" %}

```
{
    "id": 573158,
    "saldo": "0.0",
    "folio": 317,
    "orig_total": "0.0",
    "cancelado": false,
    "almacen": 1552,
    "tipo_movimiento": "COMPRA",
    "origen_creado": "Liquidar orden de compra",
    "detalles": [
        {
            "id": 1831246,
            "producto": {
                "id": 37496,
                "codigo": "PRODUCTO DE EJEMPLO",
                "linea": "LINEA DE EJEMPLO",
                "descripcion": "Lorem ipsum dolor..."
            },
            "cantidad": 4.0,
            "descripcion_adicional": "",
            "unidad": {
                "id": 1531,
                "nombre": "PIEZA",
                "factor": "1.00000000"
            },
            "precio_um": "0.0",
            "precio_unitario": "0.0",
            "importe": "0.0",
            "total": "0.0",
            "iva": "0.0",
            "ieps": "0.0"
        }
    ],
    "proveedor": {
        "id": 8087,
        "activo": true,
        "tipo_cliente": 1,
        "razon_social": "CLIENTE DE PRUEBA S.A DE C.V",
        "codigo": "",
        "referencia": "",
        "nombre_comercial": "",
        "sitio_web": "",
        "rfc": "XXXXXXXXX",
        "curp": "",
        "limite_credito": "0.00",
        "representante_legal": "",
        "direccion": {
            "id": 546,
            "municipio": "Hermosillo",
            "localidad": "Hermosillo",
            "estado": "Sonora",
            "calle": "campeche",
            "colonia": "San Benito",
            "cp": "83190",
            "telefono": "",
            "email": "",
            "numero_e": "xx",
            "numero_i": "",
            "pais_residencia": "MX",
            "latitud": "xxxx",
            "longitud": "xxxx",
            "referencia": null
        },
        "bloquear_vencido": false,
        "dias_cortar_credito": 0,
        "dias_credito": 0,
        "regimen_fiscal": "XXX",
        "direccion_txt": "XXXXXXXXXXX",
        "almacen_precios": null,
        "clasificacion": null,
        "segmentacion": null
    }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.admintotal.com/api/entradas-almacen.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
